View Issue Details

IDProjectCategoryView StatusLast Update
0001115Common[All Projects] Generalpublic2016-04-08 21:30
ReporterXenosAssigned ToXenos 
PrioritynoneSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.4 
Target VersionFixed in Version1.2.0 
Summary0001115: Rédiger les tests Selenium en XML
DescriptionPour l'instant, les tests Seleniuml sont en HTML.
L'idée serait de les rédiger en XML. Cela permettrait:
• De créer une XSD et donc, d'avoir l'auto-complétion activée (pour savoir quelles commandes existent dans Selenium et leur documentation)
• D'autoriser des tests plus complexes, avec par exemple des UUID (typiquement, je fais un tests vérifiant que l'inscription d'un utilisateur fonctionne: avec des valeurs constantes, je ne peux pas, car j'essayerai d'enregistrer le même utilisateur à chaque fois que je lance le test, mais avec un test écrit en XML, je peux dire "utilise une nom aléatoire" et dans la suite du test, reprendre ce même nom aléatoire)
• De générer les fichiers HTML à la volée, pour tous les mettre dans tmp/ plutôt que d'avoir un TestSuite.gen.html qui se trouve un peu pommé dans tests/selenium (aka, éviter de mélanger ce fichier généré avec les fichiers non-générés que sont mes tests).
TagsNo tags attached.
Attach Tags

Relationships

child of 0001116 CloseXenos Pouvoir accéder aux mails depuis un test Selenium 

Activities

Xenos

Xenos

2016-04-02 20:51

administrator   ~0001671

On peut stocker des données dans des variables Selenium via store | javascript{...} | varName, donc inutile de faire un XSL qui génère des valeurs aléatoires à la volée pour les partager entre les tests.

En revanche, truc marrant: je ne peux pas faire un test Selenium pour le 0001103 car je suis coincé par le CAPTCHA :)

Bon, et après, cela n'empêche pas de faire des XML/XSD/XSL pour les autres raisons: ils seront juste plus triviaux à faire, ce qui ne sera pas plus mal.

Issue History

Date Modified Username Field Change
2016-04-02 20:21 Xenos New Issue
2016-04-02 20:21 Xenos Status New => Accepted
2016-04-02 20:51 Xenos Note Added: 0001671
2016-04-02 20:51 Xenos Priority normal => none
2016-04-04 13:48 Xenostom Assigned To => Xenostom
2016-04-04 13:48 Xenostom Status Accepted => In progress
2016-04-04 16:40 Xenostom Relationship added child of 0001116
2016-04-06 18:34 Xenostom Status In progress => Ready
2016-04-06 18:34 Xenostom Resolution open => fixed
2016-04-08 21:08 AutoUpdater Assigned To Xenostom => Xenos
2016-04-08 21:08 AutoUpdater Status Ready => Resolved
2016-04-08 21:08 AutoUpdater Fixed in Version => 1.2.0
2016-04-08 21:30 Xenos Status Resolved => Close